params ["_unit"];

if (_unit distance respawn_nimitz_fd > 50) exitWith {};

// default height is flight deck (fd)
private _height = 17.5;
// systemChat str (_unit distance respawn_nimitz_fd);
// systemChat str (_unit distance respawn_nimitz_hangar);

// if unit is close to the hangar respawn module, use hangar height
if (_unit distance respawn_nimitz_hangar < _unit distance respawn_nimitz_fd) then {
	_height = 7.5;
};

// systemChat "Adjusting Height for Nimitz spawn";

// change units vertical coordinate
_unit setPosASL [getPos _unit # 0, getPos _unit # 1, _height];

_unit;